<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="../css/styles.css">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <title></title>Update Customer list</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light our-grey">
        <button type="button" class="btn btn-lg" data-toggle="popover" data-content="Music Store for all ages">MusicStore</button>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
      
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
              <a class="nav-link" href='./../home-main.html'>Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="./customerList.html">Customer-List <span class="sr-only">(current)</span></a>
            </li>

            <li class="nav-item" id="new-item-nav-item" >
              <a class="nav-link" href='./new-customer.html'>Add New Customer</a>
            </li>
            <li class="nav-item" id="new-item-nav-item" >
              <a class="nav-link" href='./update-customer.html'>update Customer</a>
            </li>
            <li class="nav-item" id="new-item-nav-item" >
              <a class="nav-link" href='./delete-customer.html'>Delete Customer</a>
            </li>
            <li class="nav-item" id="login-nav-item">
              <a class="nav-link" href='./../loginForm.html'>Log In</a>
            </li>
            <li class="nav-item" id="log-out-nav-item" hidden>
              <a class="nav-link">Log Out</a>
            </li>
          </ul>
          <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="search" aria-label="Search">
            <button class="btn btn-outline-dark my-2 my-sm-0" type="submit">Search</button>
          </form>
        </div>
    </nav>
    <div class="container pt-2" >
    <h1>Music Store current Customer List</h1></br>
    
      <!--Section: Best Features-->
      <section id="customer-list" class="text-center">

        <!-- Heading -->
        <h2 class="mb-1 font-weight-bold">Music Store Customer Update List</h2>
                  
        <table id="customerList-table" class="table" hidden >
        </br>
          <caption>our Music Store Customer List</caption>
          <thead>
            <tr>
              <th scope="col">Customer Id</th>
              <th scope="col">Customer Name</th>
              <th scope="col">Address</th>
              <th scope="col">Phone</th>
              <th scope="col">Email</th>
              <th scope="col">Password</th>
              <th scope="col">UserId</th> <!-- try to hide this field -->
          </tr>
        </thead>
        <tbody id="customer-table-body">
        </tbody>

        </table>
      </section>
    <h1>Update Customer List</h1></br>
    
		<!--Section: Best Features-->
		<main id="MusicStore-customer">
      <form id="update-customer-list-form">

        <p> 
          <label for="inputId"  data-icon="customer Name"> Customer Full Name</label>
            <input id="inputId" class="form-control" type="text" name="Customer Name"  required="required" placeholder="Customer Id" disabled>
        </p>
        <p> 
          <label for="inputName"  data-icon="customer Name"> Customer Full Name</label>
            <input id="inputName" class="form-control" type="text" name="Customer Name"  required="required" placeholder="Customer Name">
        </p>
                      
        <p> 
          <label for="inputAddress" > Full Address: </label>
          <input id="inputAddress" class="form-control" required="required" type="text" placeholder="address"> 
        </p>
        <p> 
          <label for="inputPhone" >Phone: </label>
          <input id="inputPhone"  class="form-control" type="text" required="required"  placeholder="phone"> 
        </p>
        <p> 
          <label for="inputEmail"> Email:</label>
          <input id="inputEmail"  class="form-control" type="email"  required="required" placeholder="email">
        </p>
              
        <p> 
          <label for="inputPassword" >Password </label>
          <input id="inputPassword"  class="form-control" type="password" required="required"  placeholder="password"> 
        </p>
        <p> 
          <label for="inputPasswordConf" >Password Confirmation </label>
          <input id="inputPasswordConf"  class="form-control" type="password" required="required"  placeholder="password"> 
        </p>
        <p> 
          <label for="inputUserId" >User Id </label>
          <input id="inputUserId"  class="form-control" type="text" required="required"  placeholder="userId" disabled> 
        </p>
              
        <button class="btn btn-primary" type="submit">Update Customer</button>
        <div id="create-msg" hidden></div>
        <!---------------------------------------------------->
      </form>
		</main>
  </div>
    
</body>
<script>
    $(function () {
        $('[data-toggle="popover"]').popover()
        })
</script>
<script src="../nav-items.js"></script>
<script src="customer-update-request-fetch.js"></script>
<script src="update-customer.js"></script>
<script src="../server-requests.js"></script>
</html>
